# xercesc::DOMXPathException Class Reference

`#include <DOMXPathException.hpp>`

List of all members.

## Public Types

enum | ExceptionCode { INVALID_EXPRESSION_ERR = 51, TYPE_ERR = 52 }
| ExceptionCode INVALID_EXPRESSION_ERR If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation. More...

## Public Member Functions

Constructors
| DOMXPathException ()
| Default constructor for DOMXPathException.
| DOMXPathException (short code, const XMLCh *message)
| Constructor which takes an error code and a message.
| DOMXPathException (const DOMXPathException &other)
| Copy constructor.
Destructor.
virtual | ~DOMXPathException ()
| Destructor for DOMXPathException.

## Public Attributes

Public variables
ExceptionCode | code
| A code value, from the set defined by the ExceptionCode enum, indicating the type of error that occured.
const XMLCh * | msg
| A string value.

## Detailed Description

Since:
  DOM Level 3

## Member Enumeration Documentation

enum xercesc::DOMXPathException::ExceptionCode

ExceptionCode INVALID_EXPRESSION_ERR If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.

TYPE_ERR If the expression cannot be converted to return the specified type.

Enumerator:

  INVALID_EXPRESSION_ERR |
  TYPE_ERR |

## Constructor & Destructor Documentation

xercesc::DOMXPathException::DOMXPathException | ( |  | ) |

| Default constructor for DOMXPathException.

xercesc::DOMXPathException::DOMXPathException | ( | short | code,
|  | const XMLCh * | message
| ) |

Constructor which takes an error code and a message.

Parameters:

  | code | The error code which indicates the exception
  | message | The string containing the error message

xercesc::DOMXPathException::DOMXPathException | ( | const DOMXPathException & | other | ) |

Copy constructor.

Parameters:

  | other | The object to be copied.

xercesc::DOMXPathException::~DOMXPathException | ( |  | ) | `[virtual]`

| Destructor for DOMXPathException.

## Member Data Documentation

ExceptionCode xercesc::DOMXPathException::code

| A code value, from the set defined by the ExceptionCode enum, indicating the type of error that occured.

const XMLCh* xercesc::DOMXPathException::msg

| A string value. Applications may use this field to hold an error message. The field value is not set by the DOM implementation, meaning that the string will be empty when an exception is first thrown.

The documentation for this class was generated from the following files:

- DOMXPathException.hpp
- DOMXPathException.cpp